Share via


Conversation Authoring Project - Create Project

Creates a new project or updates an existing one.

PATCH {Endpoint}/language/authoring/analyze-conversations/projects/{projectName}?api-version=2025-11-01

URI Parameters

Name In Required Type Description
Endpoint
path True

string (uri)

Supported Cognitive Services endpoint e.g., https://<resource-name>.api.cognitiveservices.azure.com.

projectName
path True

string

maxLength: 100

The new project name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Media Types: "application/merge-patch+json"

Name Required Type Description
language True

string

The project language. This is BCP-47 representation of a language. For example, use "en" for English, "en-gb" for English (UK), "es" for Spanish etc.

projectKind True

ProjectKind

Represents the project kind.

projectName True

string

The new project name.

description

string

The project description.

multilingual

boolean

Whether the project would be used for multiple languages or not.

settings

AnalyzeConversationAuthoringProjectSettings

The project settings.

Responses

Name Type Description
200 OK

AnalyzeConversationAuthoringProjectMetadata

The request has succeeded.

201 Created

AnalyzeConversationAuthoringProjectMetadata

The request has succeeded and a new resource has been created as a result.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

An unexpected error response.

Headers

x-ms-error-code: string

Security

Ocp-Apim-Subscription-Key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: accessCode
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize
Token URL: https://login.microsoftonline.com/common/oauth2/token

Scopes

Name Description
https://cognitiveservices.azure.com/.default

Examples

Successful Create Project

Sample request

PATCH {Endpoint}/language/authoring/analyze-conversations/projects/myproject?api-version=2025-11-01

{
  "projectName": "myproject",
  "language": "en",
  "projectKind": "Conversation",
  "description": "This is a sample conversation project.",
  "multilingual": false
}

Sample response

{
  "createdDateTime": "2022-04-18T13:53:03Z",
  "lastModifiedDateTime": "2022-04-18T13:53:03Z",
  "projectKind": "Conversation",
  "projectName": "myproject",
  "multilingual": false,
  "description": "This is a sample conversation project.",
  "language": "en"
}
{
  "createdDateTime": "2022-04-18T13:53:03Z",
  "lastModifiedDateTime": "2022-04-18T13:53:03Z",
  "lastTrainedDateTime": "2022-04-18T14:14:28Z",
  "lastDeployedDateTime": "2022-04-18T14:49:01Z",
  "projectKind": "Conversation",
  "projectName": "myproject",
  "multilingual": false,
  "description": "This is a sample conversation project.",
  "language": "en"
}

Definitions

Name Description
AnalyzeConversationAuthoringCreateProjectOptions

Represents the options used to create or update a project.

AnalyzeConversationAuthoringProjectMetadata

Represents the metadata of a project.

AnalyzeConversationAuthoringProjectSettings

Represents the settings used to define the project behavior.

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

ProjectKind

AnalyzeConversationAuthoringCreateProjectOptions

Represents the options used to create or update a project.

Name Type Description
description

string

The project description.

language

string

The project language. This is BCP-47 representation of a language. For example, use "en" for English, "en-gb" for English (UK), "es" for Spanish etc.

multilingual

boolean

Whether the project would be used for multiple languages or not.

projectKind

ProjectKind

Represents the project kind.

projectName

string

The new project name.

settings

AnalyzeConversationAuthoringProjectSettings

The project settings.

AnalyzeConversationAuthoringProjectMetadata

Represents the metadata of a project.

Name Type Description
createdDateTime

string (date-time)

Represents the project creation datetime.

description

string

The project description.

language

string

The project language. This is BCP-47 representation of a language. For example, use "en" for English, "en-gb" for English (UK), "es" for Spanish etc.

lastDeployedDateTime

string (date-time)

Represents the project last deployed datetime.

lastModifiedDateTime

string (date-time)

Represents the project creation datetime.

lastTrainedDateTime

string (date-time)

Represents the project last trained datetime.

multilingual

boolean

Whether the project would be used for multiple languages or not.

projectKind

ProjectKind

Represents the project kind.

projectName

string

maxLength: 100

The new project name.

settings

AnalyzeConversationAuthoringProjectSettings

The project settings.

AnalyzeConversationAuthoringProjectSettings

Represents the settings used to define the project behavior.

Name Type Description
confidenceThreshold

number (float)

The threshold of the intent with the highest confidence, at which the prediction will automatically be changed to "None". The value of the threshold should be between 0 and 1 inclusive.

Azure.Core.Foundations.Error

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror

Azure.Core.Foundations.InnerError

An object containing more specific information than the current object about the error.

message

string

A human-readable representation of the error.

target

string

The target of the error.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Name Type Description
error

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name Type Description
code

string

One of a server-defined set of error codes.

innererror

Azure.Core.Foundations.InnerError

Inner error.

ProjectKind

Value Description
Conversation

A project to build natural language into apps, bots, and IoT devices.

Orchestration

A project to connect and orchestrate Conversation, Custom question answering and LUIS projects together in one single project.